Bug 77388 - ftp uploads, teporary files is /tmp/ftpfs*
ftp uploads, teporary files is /tmp/ftpfs*
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mc (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-06 01:09 EST by Jan Martinek
Modified: 2015-01-07 19:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-22 06:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Martinek 2002-11-06 01:09:13 EST
Description of Problem:
when I connect to a remote ftp filesystem and try to copy
file(s) on it, mc will always create the copy of the file
in /tmp/ftpfs* before the actual transmission is performed.
This is annoying especially while copying large files.
The machine can run out of free hard disk space this way.
If several files are selected to copy, every file is copied
to /tmp/ftpfs* , but is not deleted immediately after the actual
file is copied but after the whole transmission is finished.
So, again, the hard disk space can be wasted even when many
small files are copied.

Version-Release number of selected component (if applicable):
mc-4.5.55-12

How Reproducible:
every time

Steps to Reproduce:
1. connect to remote ftp filesystem
2. try to copy a large file or many small files
3. while transmission is in progress, watch files /tmp/ftpfs*

Actual Results:
All files selected to be copied are copied to /tmp/ftpfs* first.

Expected Results:
Is it necessary to use /tmp at all?

Additional Information:
Comment 1 Andrew V. Samoilov 2004-02-18 02:55:57 EST
Fixed in 4.6.0.

Note You need to log in before you can comment on or make changes to this bug.